Subject: bug#24439: ispell.el; cutom setting `ispell-library-directory'; patch

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Sep 2016 09:25:02 +0300

> Cc: [email-masked]
> From: Laimonas Vėbra <[email-masked]>
> Date: Thu, 15 Sep 2016 23:10:49 +0300
> 
> Eli Zaretskii wrote:
> 
> > Well, using a Cygwin ispell with a native Windows build of Emacs is
> > not exactly the normal use case, either.  Why don't you use a native
> > Windows build of ispell (or a Cygwin build of Emacs)?
> 
> I can't find one (ispell win32) and i guess it is not trivial to build.

I was building it and using it for years, before I switched to
Hunspell.  It isn't hard, certainly not harder than any other package
with Posix configury.

> And now i'd like to ask you why i don't see ispell in ezwinports...? :-)

Because I switched to Hunspell before I started the site.  I never saw
anyone who'd request a ported ispell, but I still have the zip files
and can upload one if there's a demand.

> Hunspell works with myspell dictionaries, right?

Yes.  And as most Posix distributions switched to Aspell and Hunspell,
it is much easier to find libraries for Hunspell than for Ispell.
Some languages cannot even have an Ispell dictionary in principle,
because they use linguistic features Ispell doesn't support.

> > Can you propose a patch and test it in your setup?  Or would you like
> > me to propose a patch for you to test?
> 
> Ok, i'll try. But i'm going to propose two patches; one as you proposed 
> and another, where dictionaries would be looked up in this order:
>   * -d if it's absolute path;
>   * ispell-library-directory;
>   * custom directory (say defcustom ispell-local-library-directory).

Fine with me, thanks.

> > manual configuration would be a step in the wrong direction, IMO.
> 
> IMO its the same kind of manual configuration as to manually specify 
> dictionaries with -d (absolute path).

Yes, but that one already exists (and probably always will be).